# Available placeholders: https://github.com/montlikadani/TabList/wiki/Placeholders
# Available symbols: https://github.com/montlikadani/TabList/wiki/Symbols

# Use %anim:animationName% placeholder to make an animation. Must be firstly created in animcreator.yml file!

# Documentation to learn how to use this file: https://github.com/montlikadani/TabList/wiki/TabList

# Enables tab functionality, disabling this option will cancel all running tasks which related
enabled: true

# Save the toggled tablists to a file and load them after server restart.
# If this false, if the file is existing, it will be deleted automatically at server restart.
remember-toggled-tablist-to-file: true

# Hide tab from vanished players
# Requires Essentials, CMI or SuperVanish plugin!
hide-tab-when-player-vanished: false

# In these worlds tab won't be displayed
disabled-worlds:
#- "world1"

# For these players tab won't be displayed
blacklisted-players:
#- myname

# Tablist refreshing interval in server ticks
# Set to 0 to disable, which results a static state of tablist,
# including placeholders which won't be updated anymore until there is no join or reload.
interval: 4

# Define if the header & footer should be randomized.
# Animation placeholders won't be affected.
random: false

header:
- "&#3494E6&m==========================\n%anim:tablist%"
- "&7<75> %anim:welcome% %player%&c!&7 <74>"
- ""
- "&#3494E6Ping:&#3494E6%ping%&#EC6EADms&a TPS:&r %tps%\n"

footer:
- ""
- "&#3494E6Players: %online-players%&#EC6EAD/&#3494E6%max-players%"
- "&#3494E6 <28> Socials %anim:website% <28>\n\n&#3494E6&m=========================="

# Defines per world tablist for different worlds
# You can separate world names with ", " to only show tablist in those specified worlds
per-world:
  my_nether, otherWorld: # you can add multiple worlds here
    header: "&3This is a per world plugin %anim:tablist%&3."
    footer: "&6World:&7 %world%"

  justWorld:
    header: "%anim:perWorld%"
    footer: "&6World:&7 %world%"

    # Defines per player tablist in this world only
    per-player:
      playerName:
        header: "&3This is a per player plugin %anim:tablist%&3."
        footer:
        - "&6World:&7 %world%"
        - "&aPlayer:&8 %player%"

  testWorld:

    # Defines per group tablist in this world only
    # Requires Vault plugin!
    per-group:
      groupName:
        header: "&3This is a per group plugin %anim:tablist%&3."
        footer:
        - "&6World:&7 %world%"
        - "&aGroup:&8 %vault_rank%"

# Defines per-permission tablist
# Any player/group have tablist.name permission node will use the set of tab header/footer.
#permissions:

# Defines per player tablist
per-player:
  testplayer:
    header: "%anim:perPlayer%"
    footer: "&5&m======================"

# Defines per-grouped tablist for players whose having the specified group added
# Requires Vault plugin!
per-group:
  vaultGroup:
    header: "%anim:perGroupHead%"
    footer: "%anim:perGroupFoot%"
